global.yaml  = require('js-yaml');
global.fs    = require('fs');




global.args     = process.argv.slice(2);
// Get $SITE_ROOT passed by calling code.
global.siteRoot = args[0];

// Figure out the theme path.
let themeSettingsPath = siteRoot + '/site/settings/theming.yaml';
let themeName         = yaml.load(fs.readFileSync(themeSettingsPath)).theme;
global.themePath      = [
  siteRoot,
  'site/themes',
  themeName,
].join('/');

// Figure out the package path.
// https://nodejs.org/docs/latest/api/process.html#process_process_argv
let thisFilePath = process.argv[1];
let pathArr      = thisFilePath.split('/');
// The package path = thisFilePath - last3Segments (/mgmt/statamic/createJS.js).
global.pkgPath      = pathArr.slice(0, pathArr.length - 3).join('/');
