import              './functions';
import HexTabs from 'vue-hex-tabs';
import Vue     from 'vue/dist/vue.common';

window.HexBus = new Vue();


export default {
  el: '#style-guide',

  components: {
    HexTabs:      HexTabs.HexTabs,
    HexTab:       HexTabs.HexTab,
    HexTabPanels: HexTabs.HexTabPanels,
    HexTabPanel:  HexTabs.HexTabPanel,
  },

  data: {
    nav:         '.js-nav',
    stickyMaker: '.header-primary',
    stickyNav:   '.js-nav',
  },

  beforeCreate() {
    generateNav($('.js-nav'));
    generateCodeSamples();
  },

  mounted() {
    generateCodeSamplesForRenderedVueComponents();
    letsGetSticky($(this.stickyMaker), $(this.stickyNav));
  },
};
